CSM-1B
Integra
csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/it/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
}
Chiama il modello CSM-1B (csm-1b) tramite Doitong API. Documentazione per gli agenti: https://doitong.com/it/developers/models/csm-1b.md
POST https://api.doitong.com/v1/run/csm-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
Se lo stato della risposta è "queued" o "running", interroga GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 finché non diventa "succeeded"; i file si trovano in outputs[].url. POST https://api.doitong.com/v1/quote/csm-1b con lo stesso body restituisce il prezzo esatto prima dell'esecuzione.
Questa richiesta: ≈0,03 $ 30 crediti API Esegui in questa pagina
La tua nuova chiave API. Viene mostrata solo ora ed è già presente nel codice e nel campo della chiave API qui sotto. Mantienila segreta: non inserirla mai nel codice eseguito in un browser.
Il tuo primo risultato apparirà qui
Crea una richiesta qui sotto ed eseguila con la tua chiave API. Gli output vengono copiati nella nostra archiviazione, conservati per sempre oppure 7 giorni gratuitamente.
Crea una richiesta
I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.
/run/csm-1b?wait=20
preventivo → 0,03 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"wait_seconds": 20
}
}
}
Esegui questa richiesta
La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API
Informazioni su CSM-1B
Genera parlato da una `scene` obbligatoria, ovvero un array di oggetti contenenti il testo da pronunciare. Un array `context` facoltativo fornisce i turni di conversazione precedenti per modellare la resa. Il risultato è un singolo output audio. È progettato per dialoghi.
Parametri
sceneobbligatorio
scene[].speaker_idobbligatorio
scene[].textobbligatorio
contextfacoltativo
context[].promptobbligatorio
context[].speaker_idobbligatorio
context[].audio_urlobbligatorio
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "csm-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30,
"usd": "0.03",
"charged": 30,
"refunded": 0
},
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Campi dell'output
- audio
- object {url, content_type, file_name, file_size} | stringAudio prodotto dal modello.
Altri modelli: Da testo a voce
Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/csm-1b.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt